Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Sys-HostIP CPAN distribution.

Report information
The Basics
Id:
6116
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
x11 [...] h2o.pieva.net
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
(no value)
Fixed in:
(no value)



Subject: CPAN has version 1.0.0 however 1.3.3 can be found at CPAN www
When trying to install Sys::HostIP by CPAN: h2o:/home/x11/nethome/GtkChat/Net/Vypress# cpan Sys::HostIP CPAN: Storable loaded ok Going to read /root/.cpan/Metadata Database was generated on Tue, 20 Apr 2004 08:52:14 GMT CPAN: LWP::UserAgent loaded ok Fetching with LWP: ftp://ftp.litnet.lt/pub/CPAN/authors/01mailrc.txt.gz Going to read /root/.cpan/sources/authors/01mailrc.txt.gz Fetching with LWP: ftp://ftp.litnet.lt/pub/CPAN/modules/02packages.details.txt.gz Going to read /root/.cpan/sources/modules/02packages.details.txt.gz Database was generated on Sat, 24 Apr 2004 01:51:57 GMT Fetching with LWP: ftp://ftp.litnet.lt/pub/CPAN/modules/03modlist.data.gz Going to read /root/.cpan/sources/modules/03modlist.data.gz Going to write /root/.cpan/Metadata Running install for module Sys::HostIP Running make for F/FI/FIVE/Sys-HostIP-1.0.tar.gz CPAN: Digest::MD5 loaded ok Checksum for /root/.cpan/sources/authors/id/F/FI/FIVE/Sys-HostIP-1.0.tar.gz ok Scanning cache /root/.cpan/build for sizes Sys-HostIP-1.0/ Sys-HostIP-1.0/Changes Sys-HostIP-1.0/HostIP.pm Sys-HostIP-1.0/Makefile.PL Sys-HostIP-1.0/MANIFEST Sys-HostIP-1.0/test.pl Removing previously used /root/.cpan/build/Sys-HostIP-1.0 CPAN.pm: Going to build F/FI/FIVE/Sys-HostIP-1.0.tar.gz ...and so on. However http://search.cpan.org/search?query=Sys%3A%3AHostIP&mode=all says 1.3.1 is available and you can get it at http://search.cpan.org/author/BLUELINES/Sys-HostIP-1.3.1/HostIP.pm
This is because of the 1.x.x versioning schme (see Class::DBI::Frozen::301 and Class-DBI's rt queue for more discussion). Please release version 2.00 or similar, and subsequently 2.01, etc. It's not as meaningful as far as versioning goes, but it breaks the CPAN shell.
From: peter@axomic.com
The following was an explanation I got when I was discussing another matter, which required installing 1.3.1 and not 1.0. CPAN is giving 1.0 (not 1.3.1) because of a change of user from FIVE->BLUELINES without having transferred the permissions to release versions. ================================================================== Hi Jon, The guy testing this bug below has probably installed Sys::HostIP directly from CPAN, I don't do this as I discovered a while back you get version 1.0. He has provided an explanation of what needs changing in CPAN for 1.3.1 to become the latest default version. I'll let you know if they confirm the bug and provide a fix. Cheers Pete
Show quoted text
---------- Forwarded message ---------- Date: Wed, 14 Dec 2005 16:49:45 -0500 (EST) From: Philip M. Gollucci To: Peter Walsham Subject: Re: [mp2] local %ENV causes Segmentation fault or Bus error ... FIVE should login on PAUSE and grant CO-MAINT to BLUELINES. The reason CPAN does this is its not being indexed as BLUELINES has no perms. ... -- Axomic Ltd 338 City Road London EC1V 2PY t: +44 (0)20 7239 8287 m: +44 (0)7812 122418 http://www.axomic.com
This no longer applies release 1.4. Thank you for the report! Sawyer.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.